## musescore-snapshot 3.2.s20190704+dfsg1

=== CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Linux Music Score Editor
#
#  Copyright (C) 2002-2016 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

project(mscore)

# Minimum tested, report if it works with older
CMAKE_MINIMUM_REQUIRED(VERSION 3.3.0)

include(build/functions.cmake) # library of CMake functions ("fn__" namespace)

set (CI $ENV{CI})
if (CI)
    SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif (CI)

# Libraries linked via full path no longer produce linker search paths.
cmake_policy(SET CMP0003 NEW)

# Apparently needed on Mac only (?)
if (APPLE)
    # Issue no warning non-existent target argument to get_target_property()
    # and set the result variable to a -NOTFOUND value rather than issuing a FATAL_ERROR 40
    if(POLICY CMP0045)
        cmake_policy(SET CMP0045 OLD)
    endif(POLICY CMP0045)

    # Silently ignore non-existent dependencies (mops1, mops2)
    if(POLICY CMP0046)
        cmake_policy(SET CMP0046 OLD)
    endif(POLICY CMP0046)
endif (APPLE)

# RPATH settings on macOS do not affect install_name
if(POLICY CMP0068)
      cmake_policy(SET CMP0068 NEW)
endif(POLICY CMP0068)

# Don't process generated source files with AUTOMOC
if(POLICY CMP0071)
      cmake_policy(SET CMP0071 OLD)
endif(POLICY CMP0071)

# Define MINGW for VS, as it appears not to be defined
if (MSVC)
   set (MINGW false)
endif (MSVC)

# We need this early, before FindQt5
option(BUILD_WEBENGINE "Built in webengine support" ON)

if (BUILD_WEBENGINE)
   if (MINGW)
      SET (USE_WEBENGINE 0)
   else (MINGW)
      SET (USE_WEBENGINE 1)
   endif(MINGW)
else (BUILD_WEBENGINE)
   SET (USE_WEBENGINE 0)
endif (BUILD_WEBENGINE)

set(SCRIPT_INTERFACE  TRUE)
#  Look for Qt5
if (SCRIPT_INTERFACE)
SET(QT_MIN_VERSION    "5.8.0")
else (SCRIPT_INTERFACE)
SET(QT_MIN_VERSION    "5.7.0")
endif (SCRIPT_INTERFACE)
# Include modules
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/build" ${CMAKE_MODULE_PATH})
include (FindQt5)
include (UsePkgConfig1) # Defines MACRO(PKGCONFIG1 _package _minVersion _include_DIR _link_DIR _link_FLAGS _cflags)
include (FindPulseAudio)
include (GetCompilerVersion)
include (CreatePrecompiledHeader)

# For debugging the make system uncomment next line:
# set(CMAKE_VERBOSE_MAKEFILE ON)

set(CMAKE_AUTOMOC     TRUE)
set(MSCORE_UNSTABLE   TRUE)          # Mark as unstable
set(MSCORE_RELEASE_CHANNEL "devel")
#set(MSCORE_RELEASE_CHANNEL "testing")
#set(MSCORE_RELEASE_CHANNEL "stable")
set(USE_SSE           TRUE)

# Disable components not supported on Windows
if (MSVC OR MINGW)
      set(WIN_NOT_AVAIL "Not available on Windows")
      option(BUILD_PULSEAUDIO ${WIN_NOT_AVAIL} OFF)
      option(BUILD_ALSA ${WIN_NOT_AVAIL} OFF)
endif (MSVC OR MINGW)

# Disable components not supported on Mac
if (APPLE)
      set(MAC_NOT_AVAIL "Not available on Mac")
      option(BUILD_PULSEAUDIO ${MAC_NOT_AVAIL} OFF)
      option(BUILD_ALSA ${MAC_NOT_AVAIL} OFF)
endif (APPLE)

# Disable components not supported on Linux/BSD
if (NOT APPLE AND NOT MINGW AND NOT MSVC)
      set(NIX_NOT_AVAIL "Not available on Linux/BSD")
      #option(BUILD_PORTMIDI "PortMidi disabled on Linux. (It uses ALSA but it's better to use ALSA directly)" OFF)
endif (NOT APPLE AND NOT MINGW AND NOT MSVC)

option(AEOLUS        "Enable pipe organ synthesizer"      OFF)
option(ZERBERUS      "Enable experimental SFZ sampler"    ON)
option(OSC           "Enable OSC remote control protocol" ON)
option(OMR           "Enable PDF import"  OFF)                 # OMR - optical music recognition
# For installation see: http://ubuntuforums.org/showthread.php?t=1647350
option(OCR           "Enable OCR, requires OMR" OFF)           # Requires tesseract 3.0, needs work on mac/win
option(SOUNDFONT3    "Ogg Vorbis compressed fonts" ON)         # Enable Ogg Vorbis compressed fonts, requires Ogg & Vorbis
option(HAS_AUDIOFILE "Enable audio export" ON)                 # Requires libsndfile
option(USE_SYSTEM_QTSINGLEAPPLICATION "Use system QtSingleApplication" OFF)
option(USE_SYSTEM_FREETYPE "Use system FreeType" OFF)          # requires freetype >= 2.5.2, does not work on win
option(USE_SYSTEM_POPPLER  "Use system Poppler for OMR" OFF)
option(BUILD_LAME    "Enable MP3 export" ON)                   # Requires libmp3lame, call CMake with -DBUILD_LAME="OFF" to disable
option(DOWNLOAD_SOUNDFONT "Download the latest soundfont version as part of the build process" ON)

# licence incompatibility, must never be distributed
set(OCR OFF)

SET(JACK_LONGNAME "JACK (Jack Audio Connection Kit)")
SET(JACK_MIN_VERSION "0.98.0")
option(BUILD_JACK    "Build with support for ${JACK_LONGNAME} audio backend. JACK >= ${JACK_MIN_VERSION} will be needed." ON)
option(BUILD_PULSEAUDIO "Build with support for PulseAudio audio backend." ON)
option(BUILD_ALSA "Build with support for ALSA audio backend." ON)
option(BUILD_PORTAUDIO "Build with support for PortAudio audio backend." ON)
option(BUILD_PORTMIDI "Build with support for PortAudio's MIDI features." ${BUILD_PORTAUDIO}) # PortAudio required
option(BUILD_PCH "Build using precompiled headers." ON)
option(BUILD_FOR_WINSTORE "Build for the Windows Store." OFF)
option(COVERAGE "Build with instrumentation to record code coverage." OFF)
option(BUILD_64 "Build 64 bit version of editor" ON)
option(BUILD_AUTOUPDATE "Build with autoupdate support" OFF)
option(BUILD_CRASH_REPORTER "Build with crash reporter" OFF)
set(CRASH_REPORT_URL "http://127.0.0.1:1127/post" CACHE STRING "URL where to send crash reports (valid if BUILD_CRASH_REPORTER is set to ON)")

if (APPLE)
      set (CMAKE_CXX_COMPILER   clang++)
      set (CMAKE_CXX_COMPILER_ID "Clang")
      set(CMAKE_OSX_ARCHITECTURES x86_64)

      set(CMAKE_OSX_DEPLOYMENT_TARGET 10.10)

      set(HAS_AUDIOFILE TRUE)            # Requires libsndfile
      set(MAC_APPCAST_URL "")

      find_library(AudioToolboxFW        NAMES AudioToolbox)
      find_library(AudioUnitFW           NAMES AudioUnit)
      find_library(CoreAudioFW           NAMES CoreAudio)
      find_library(CoreMidiFW            NAMES CoreMIDI)
      find_library(SystemConfigurationFW NAMES SystemConfiguration)
      find_library(CoreServicesFW        NAMES CoreServices)
      find_library(AppKit                NAMES AppKit)
      set(OsxFrameworks ${AudioToolboxFW} ${AudioUnitFW} ${CoreAudioFW} ${CoreMidiFW} ${SystemConfigurationFW} ${CoreServicesFW} ${AppKit})
endif (APPLE)

#
# Set up Windows arch variables/paths
#

if (BUILD_64 STREQUAL "ON")
      SET (ARCH_TYPE "_x64")
      SET (DEPENDENCIES_DIR "${PROJECT_SOURCE_DIR}/dependencies/libx64")
else (BUILD_64 STREQUAL "ON")
      SET (ARCH_TYPE "_x86")
      SET (DEPENDENCIES_DIR "${PROJECT_SOURCE_DIR}/dependencies/libx86")
endif (BUILD_64 STREQUAL "ON")

#
#  Sparkle/WinSparkle routine
#
if (BUILD_AUTOUPDATE STREQUAL "ON")
      if (APPLE)
             find_package(Sparkle) #needed for SPARKLE_FOUND variable
             if(SPARKLE_FOUND)
                   set(MAC_SPARKLE_ENABLED 1)
                   set(OsxFrameworks ${OsxFrameworks} ${SPARKLE_LIBRARY})
                   message("Current OSX version is ${CURRENT_OSX_VERSION}")
                   set(MAC_APPCAST_URL "https://sparkle.musescore.org/${MSCORE_RELEASE_CHANNEL}/3/macos/appcast.xml")
             endif(SPARKLE_FOUND)
      elseif (MSVC)
             if (NOT MSCORE_UNSTABLE)
                   include(FindWinSparkle)
                   add_library(winsparkledll SHARED IMPORTED)
                   set_target_properties(winsparkledll PROPERTIES IMPORTED_IMPLIB ${WINSPARKLE_LIBRARY})
                   set(WIN_SPARKLE_ENABLED 1)
                   set(WIN_SPARKLE_APPCAST_URL "https://sparkle.musescore.org/${MSCORE_RELEASE_CHANNEL}/3/win/appcast${ARCH_TYPE}.xml")
                   message("Win Sparkle Url: " ${WIN_SPARKLE_APPCAST_URL})
             endif (NOT MSCORE_UNSTABLE)
      else (APPLE)
             message("Sparkle is not supported on your system.")
      endif (APPLE)
endif(BUILD_AUTOUPDATE STREQUAL "ON")

#
#     Check for gcc compiler >= 4.8
#
if (${CMAKE_CXX_COMPILER_ID} MATCHES "GNU")
      if (${CMAKE_CXX_COMPILER_MAJOR} LESS 4
        OR ((${CMAKE_CXX_COMPILER_MAJOR} EQUAL 4) AND (${CMAKE_CXX_COMPILER_MINOR} LESS 8)))
            message(FATAL_ERROR "bad gcc compiler version " ${CMAKE_CXX_COMPILER_VERSION}
                  " >= 4.8 required")
      endif()
endif (${CMAKE_CXX_COMPILER_ID} MATCHES "GNU")

if (NOT MSVC)
   set(CMAKE_CXX_FLAGS_DEBUG   "-g")
   set(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG -DQT_NO_DEBUG")
endif (NOT MSVC)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -stdlib=libc++ -Wno-inconsistent-missing-override")
   # This is necessary for genManual to be executed during the build phase,
   # it needs to be able to get the Qt libs.
   # TODO: is it still needed? genManual is removed.
   SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
   SET(CMAKE_INSTALL_RPATH "${QT_INSTALL_LIBS}")
else (APPLE)
   if (MSVC)
      if (BUILD_64 STREQUAL "ON")
         set(USE_SSE FALSE)
      endif(BUILD_64 STREQUAL "ON")
   # Set compiler options for VS2017 toolchain.
   # Note: /D_CRT_SECURE_NO WARNINGS disables warnings when using "non-secure" library functions like sscanf...
      set(CMAKE_CXX_FLAGS                "/MP /DWIN32 /D_WINDOWS /GR /EHsc /D_UNICODE /DUNICODE /D_CRT_SECURE_NO_WARNINGS /execution-charset:utf-8 /source-charset:utf-8")
      set(CMAKE_C_FLAGS                  "/MP /DWIN32 /D_WINDOWS /D_CRT_SECURE_NO_WARNINGS")
      if (USE_SSE)
         # If USE_SSE is set, enable use of SSE instructions to compiler.
         set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /arch:SSE")
         set(CMAKE_C_FLAGS    "${CMAKE_C_FLAGS} /arch:SSE")
      endif (USE_SSE)
      set(CMAKE_CXX_FLAGS_DEBUG          "/MT /permissive- /std:c++14 /W4 /Zi /Ob0 /Od /RTC1")
      set(CMAKE_CXX_FLAGS_RELEASE        "/MT /permissive- /std:c++14 /W4 /O2 /Ob2 /DNDEBUG /DQT_NO_DEBUG /DQT_NO_DEBUG_OUTPUT")
      set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MT /permissive- /std:c++14 /W4 /Zi /O2 /Ob1 /DNDEBUG /DQT_NO_DEBUG /DQT_NO_DEBUG_OUTPUT")
      set(CMAKE_C_FLAGS_DEBUG            "/MT /W4 /Zi /Ob0 /Od /RTC1")
      set(CMAKE_C_FLAGS_RELEASE          "/MT /W4 /O2 /Ob2 /DNDEBUG")
      set(CMAKE_C_FLAGS_RELWITHDEBINFO   "/MT /W4 /Zi /O2 /Ob1 /DNDEBUG")
      set(CMAKE_EXE_LINKER_FLAGS         "/DYNAMICBASE:NO")
   else (MSVC)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
      if (MINGW)
         # -mno-ms-bitfields see #22048
         set(CMAKE_CXX_FLAGS         "${CMAKE_CXX_FLAGS} -mno-ms-bitfields")
         if (NOT BUILD_64)
             set(CMAKE_EXE_LINKER_FLAGS "-Wl,--large-address-aware")
         endif (NOT BUILD_64)
      else (MINGW)
         set(CMAKE_CXX_FLAGS         "${CMAKE_CXX_FLAGS} -fPIC")
         set(CMAKE_CXX_FLAGS_DEBUG   "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wextra -Woverloaded-virtual")
         set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG_OUTPUT")
      endif (MINGW)
   endif (MSVC)
endif(APPLE)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON) # Call CMake with option -DCMAKE_SKIP_RPATH to not set RPATH (Debian packaging requirement)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

# The MuseScore version number.
SET(MUSESCORE_NAME "MuseScore")

=== Makefile ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#
#  Copyright (C) 2002-2012 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

REVISION  := `cat mscore/revision.h`
CPUS      := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || getconf NPROCESSORS_ONLN 2>/dev/null || echo 1)

PREFIX    = "/usr/local"
VERSION   = "3.2b-${REVISION}"
#VERSION = 3.1.0
BUILD_NUMBER=""

# Override SUFFIX and LABEL when multiple versions are installed to avoid conflicts.
SUFFIX=""# E.g.: SUFFIX="dev" --> "mscore" becomes "mscoredev"
LABEL=""# E.g.: LABEL="Development Build" --> "MuseScore 2" becomes "MuseScore 2 Development Build"

BUILD_LAME="ON" # Non-free, required for MP3 support. Override with "OFF" to disable.
BUILD_PULSEAUDIO="ON" # Override with "OFF" to disable.
BUILD_JACK="ON"       # Override with "OFF" to disable.
BUILD_PORTAUDIO="ON"  # Override with "OFF" to disable.
BUILD_WEBENGINE="ON"  # Override with "OFF" to disable.
USE_SYSTEM_FREETYPE="OFF" # Override with "ON" to enable. Requires freetype >= 2.5.2.
COVERAGE="OFF"        # Override with "ON" to enable.
DOWNLOAD_SOUNDFONT="ON"   # Override with "OFF" to disable latest soundfont download.

UPDATE_CACHE="TRUE"# Override if building a DEB or RPM, or when installing to a non-standard location.
NO_RPATH="FALSE"# Package maintainers may want to override this (e.g. Debian)

#
# change path to include your Qt5 installation
#
BINPATH      = ${PATH}

release:
	if test ! -d build.release; then mkdir build.release; fi; \
      cd build.release;                          \
      export PATH=${BINPATH};                    \
      cmake -DCMAKE_BUILD_TYPE=RELEASE	       \
  	  -DCMAKE_TOOLCHAIN_FILE="${CMAKE_TOOLCHAIN_FILE}"       \
  	  -DCMAKE_INSTALL_PREFIX="${PREFIX}"       \
  	  -DMSCORE_INSTALL_SUFFIX="${SUFFIX}"      \
  	  -DMUSESCORE_LABEL="${LABEL}"             \
  	  -DCMAKE_BUILD_NUMBER="${BUILD_NUMBER}"   \
  	  -DBUILD_LAME="${BUILD_LAME}"             \
  	  -DBUILD_PULSEAUDIO="${BUILD_PULSEAUDIO}" \
  	  -DBUILD_JACK="${BUILD_JACK}"             \
   	  -DBUILD_PORTAUDIO="${BUILD_PORTAUDIO}"   \
   	  -DBUILD_WEBENGINE="${BUILD_WEBENGINE}"   \
   	  -DUSE_SYSTEM_FREETYPE="${USE_SYSTEM_FREETYPE}" \
   	  -DDOWNLOAD_SOUNDFONT="${DOWNLOAD_SOUNDFONT}"   \
  	  -DCMAKE_SKIP_RPATH="${NO_RPATH}"     ..; \
      make lrelease;                             \
      make -j ${CPUS};                           \


#freetype:
#	cd build.debug; \
#      mkdir freetype; \
#      cd freetype; \
#      cmake ../../thirdparty/freetype; \
#      make -j ${CPUS}

debug:
	if test ! -d build.debug; then mkdir build.debug; fi; \
      cd build.debug;                                       \
      export PATH=${BINPATH};                               \
      cmake -DCMAKE_BUILD_TYPE=DEBUG	                    \
  	  -DCMAKE_INSTALL_PREFIX="${PREFIX}"                  \
  	  -DMSCORE_INSTALL_SUFFIX="${SUFFIX}"                 \
  	  -DMUSESCORE_LABEL="${LABEL}"                        \
  	  -DCMAKE_BUILD_NUMBER="${BUILD_NUMBER}"              \
  	  -DBUILD_LAME="${BUILD_LAME}"                        \
  	  -DBUILD_PULSEAUDIO="${BUILD_PULSEAUDIO}"            \
  	  -DBUILD_JACK="${BUILD_JACK}"                        \
   	  -DBUILD_PORTAUDIO="${BUILD_PORTAUDIO}"              \
   	  -DBUILD_WEBENGINE="${BUILD_WEBENGINE}"              \
   	  -DUSE_SYSTEM_FREETYPE="${USE_SYSTEM_FREETYPE}"      \
      -DCOVERAGE="${COVERAGE}"                 \
   	  -DDOWNLOAD_SOUNDFONT="${DOWNLOAD_SOUNDFONT}"        \
  	  -DCMAKE_SKIP_RPATH="${NO_RPATH}"     ..;            \
      make lrelease;                                        \
      make -j ${CPUS};                                      \

#
#  win32
#     cross compile windows package
#     NOTE: there are some hardcoded path in CMake - files
#           will probably only work on my setup (ws)
#
win32:
	if test ! -d win32build;                         \
         then                                          \
            mkdir win32build;                          \
      	if test ! -d win32install;                 \
               then                                    \
                  mkdir win32install;                  \
            fi;                                        \
            cd win32build;                             \
            cmake -DCMAKE_TOOLCHAIN_FILE=../build/mingw32.cmake -DCMAKE_INSTALL_PREFIX=../win32install -DCMAKE_BUILD_TYPE=DEBUG  ..; \
            make lrelease;                             \
            make -j ${CPUS};                           \
            make install;                              \
            make package;                              \
         else                                          \
            echo "build directory win32build does alread exist, please remove first"; \
         fi

#
# clean out of source build
#

clean:
	-rm -rf build.debug build.release
	-rm -rf win32build win32install

revision:
	@git rev-parse --short=7 HEAD > mscore/revision.h

version:
	@echo ${VERSION}

install: release
	cd build.release \
	&& make install/strip \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	fi

# Portable target: build AppDir ready to be turned into a portable AppImage.
# Creating the AppImage requires https://github.com/probonopd/AppImageKit
# Portable target requires both build and runtime dependencies,
# if Qt is in a non-standard location then be sure to add its
# "bin" folder to PATH and "lib" folder to LD_LIBRARY_PATH. i.e.:
#   $  export $PATH="/path/to/Qt/bin:${PATH}"
#   $  export $LD_LIBRARY_PATH="/path/to/Qt/lib:${LD_LIBRARY_PATH}"
#   $  make portable
# PREFIX sets install location *and* the name of the resulting AppDir.
# Version is appended to PREFIX in CMakeLists.txt if MSCORE_UNSTABLE=FALSE.
portable: PREFIX=MuseScore
portable: SUFFIX=-portable
portable: LABEL=Portable AppImage
portable: NO_RPATH=TRUE
portable: UPDATE_CACHE=FALSE
portable: install
	build_dir="$$(pwd)/build.release" && cd "$$(cat $${build_dir}/PREFIX.txt)" \
	&& [ -L usr ] || ln -s . usr && mscore="mscore${SUFFIX}" \
	&& dsktp="$${mscore}.desktop" icon="$${mscore}.svg" mani="install_manifest.txt" \
	&& cp "share/applications/$${dsktp}" "$${dsktp}" \
	&& cp "share/icons/hicolor/scalable/apps/$${icon}" "$${icon}" \
	&& <"$${build_dir}/$${mani}" >"$${mani}" \
	   sed -rn 's/.*(share\/)(man|mime|icons|applications)(.*)/\1\2\3/p' \
	&& "$${build_dir}/../build/Linux+BSD/portable/copy-libs" . \
	;  ./AppRun check-depends | tee "$${build_dir}/dependencies.txt"

installdebug: debug
	cd build.debug \
	&& make install \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	fi

uninstall:
	cd build.release \
	&& xargs rm < install_manifest.txt \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	   fi \
	&& xargs ../build/rm-empty-dirs < install_manifest.txt \
	&& rm install_manifest.txt

uninstalldebug:
	cd build.debug \
	&& xargs rm < install_manifest.txt \
	&& if [ ${UPDATE_CACHE} = "TRUE" ]; then \
	     update-mime-database "${PREFIX}/share/mime"; \
	     gtk-update-icon-cache -f -t "${PREFIX}/share/icons/hicolor"; \
	   fi \
	&& xargs ../build/rm-empty-dirs < install_manifest.txt \
	&& rm install_manifest.txt

#
#  linux
#     linux binary package build
#
unix:
	if test ! -d linux;                          \
         then                                      \
            mkdir linux;                           \
            cd linux; \
            cmake -DCMAKE_BUILD_TYPE=RELEASE  ../mscore; \
            make -j${CPUS} -f Makefile;            \
            make package;                          \
         else                                      \
            echo "build directory linux does alread exist, please remove first";  \
         fi

zip:
	zip -q -r MuseScore-${VERSION}.zip * -x .git\* -x vtest/html\*

=== aeolus/CMakeLists.txt ===
#=============================================================================
#  Mscore
#  Linux Music Score Editor
#
#  Copyright (C) 2010 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)


QT5_WRAP_UI (aeolusUi aeolus_gui.ui)

add_library (aeolus STATIC
      ${aeolusUi}
      aeolus.cpp audio.cpp model.cpp addsynth.cpp scales.cpp
      asection.cpp division.cpp rankwave.cpp
      rngen.cpp exp2ap.cpp
      aeolusgui.cpp sparm.cpp
      ${PROJECT_BINARY_DIR}/all.h
      ${PCH}
      ${INCS}
      )

if (NOT MSVC)
   set_target_properties (
      aeolus
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      aeolus
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} ${PCH_FORCE_USE}"
      )
endif (NOT MSVC)   

install(DIRECTORY
      stops
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}sound/aeolus
         PATTERN .svn EXCLUDE
      )

xcode_pch(aeolus all)

ADD_DEPENDENCIES(aeolus mops1)
ADD_DEPENDENCIES(aeolus mops2)

=== demos/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2002-2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

install(FILES
      Fugue_1.mscx
      Reunion.mscz
      Unclaimed_Gift.mscx
      Dynamic_Strings.mscx
      Brassed_Up.mscx
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}demos
      )

=== fonttools/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(CMAKE_VERBOSE_MAKEFILE OFF)

add_executable(
      genft
      genft.cpp
      )

target_link_libraries(genft ${QT_LIBRARIES} -lfreetype)

if (NOT MSVC)
   set_target_properties(genft PROPERTIES COMPILE_FLAGS "-I/usr/include/freetype2 -g -Wall -Wextra -Winvalid-pch")
else (NOT MSVC)
   set_target_properties (
      genft
      PROPERTIES
         COMPILE_FLAGS ""     # Might be enough, have to check if a forced directory or forced include is needed.
      )
endif (NOT MSVC)

=== mtest/musicxml/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2012 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

subdirs(
      io
      )

=== mtest/testoves/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2015 Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

subdirs(
      bdat ove3 structure
      )

=== share/tours/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2002-2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

install(FILES
      autoplace.tour
      inspector.tour
      mmrest.tour
      navigate.tour
      noteinput.tour
      palette.tour
      select.tour
      spanner-drop-apply.tour
      timeline.tour
      welcome.tour
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}tours
      )

=== mtest/libmscore/implode_explode/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_implodeExplode)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== mtest/libmscore/splitstaff/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_splitstaff)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== mtest/libmscore/tools/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_tools)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== mtest/libmscore/transpose/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_transpose)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== debian/changelog ===
musescore-snapshot (3.2.s20190704+dfsg1-1) experimental; urgency=low

  * Merge musescore (3.2.2+dfsg1-1) experimental; urgency=medium
  * Adjust short package description for main package (add “devel”)
  * d/watch: check 3.2.sYYYYMMDD in addition to 3.3~preYYYYMMDD
  * Drop merged patches
  * Merge cosmetic fix from 3.2.2+dfsg1-2 WIP
  * Enable debug menu

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jul 2019 01:02:34 +0200

musescore (3.2.2+dfsg1-2) UNRELEASED; urgency=low

  * Fix About when build number is empty, cosmetic

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jul 2019 00:59:36 +0200

musescore (3.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Merge musescore-snapshot (3.1+dfsg1-1) experimental; urgency=medium
  * Drop merged patches, update patches
  * Merge musescore2 (2.3.2+dfsg3-4) wtf; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 04 Jul 2019 23:55:01 +0200

musescore-snapshot (3.1+dfsg1-1) experimental; urgency=medium

  * New upstream release, repackaged as snapshot for integration work
  * Apply four post-release bugfixes: three from master, one from the
    musescore.com backend branch that’s not… yet(?) there
  * Update description with new features from 3.0 and 3.1
  * Merge musescore2 (2.3.2+dfsg3-2) wtf; urgency=medium
  * Supplement the AppStream metadata with the new release
  * Fix charset used by local plugin docs
  * Register plugin documentation with doc-base
  * Note known bug https://musescore.org/en/node/290147

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Jun 2019 23:42:38 +0200

musescore-snapshot (3.1~pre20190412+dfsg1-1) experimental; urgency=low

  * New upstream snapshot “v3.1beta”
  * Merge musescore (3.0.5+dfsg1-2) experimental; urgency=low
  * Generate and install full plugin documentation locally
  * Merge musescore (3.0.5+dfsg1-3) experimental; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 19 Apr 2019 22:24:42 +0200

musescore-snapshot (3.1~pre20190227+dfsg1-1) experimental; urgency=low

  * Revert to tracking “git master” snapshots now 3.0.x was branched
  * New upstream snapshot; drop applied and refresh remaining patches

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Feb 2019 21:01:07 +0100

musescore (3.0.5+dfsg1-3) experimental; urgency=low

  * Merge musescore (2.3.2+dfsg2-6) unstable; urgency=medium
  * Mark more patches as applied upstream
  * Adopt package description marker distinguishing from castling branch
  * Update AppData PR patch
  * Add a few crash fix patches until 3.1 is out
  * Clarify the Qt 5.7 patch use in stretch-backports-sloppy *only*
  * Apply recommended settings of debhelper 12

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 May 2019 01:55:53 +0200

musescore (3.0.5+dfsg1-2) experimental; urgency=low

  * Merge musescore (2.3.2+dfsg2-5) unstable; urgency=medium
  * Update patches and pull three new bugfix patches from upstream
  * Stop suggesting old tiny soundfonts: we pull in a suitable, large
    one (with better UX) already, and the user can install any SF2/SF3
    or SFZ one by themselves
  * Use the same soundfont as upstream does, for fresh installations
  * Workaround for DEP 5 syntax in a complex case
  * Fix share/plugins/notenames.qml copyright years

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 17 Apr 2019 23:33:14 +0200

musescore (3.0.5+dfsg1-1) experimental; urgency=medium

  * New upstream version, targetting experimental until AFTER buster release

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 13 Mar 2019 17:52:48 +0100

musescore (3.0.4+dfsg1-1) experimental; urgency=low

  * New upstream version, targetting experimental until AFTER buster release
  * Remove applied patches
  * Fix upstream release notes link
  * Apply a reproducibility fix merged in upstream 3.1
  * Automate skipping the testsuite for too-old Qt5, easing backports/PPA

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Mar 2019 22:48:58 +0100

musescore (3.0.3+dfsg1-1) experimental; urgency=low

  * Merge from the musescore-snapshot package but rename it back
  * Rename binary packages to musescore3{,-common} for coïnstallability
    (musescore{,-common} 2.x will stay around for buster’s lifetime, and
    upstream says users should have both in parallel, for existing scores)
  * New upstream version, targetting experimental until AFTER buster release
  * Apply upstream patch to fix sound to not always be piano + some crashes

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Feb 2019 20:02:56 +0100

musescore-snapshot (3.0.2+dfsg1-3) experimental; urgency=high

  * Backport proposed fixes for saving text colours and flipping lyrics

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Feb 2019 00:34:31 +0100

musescore-snapshot (3.0.2+dfsg1-2) experimental; urgency=medium

  * Mark patches as applied upstream
  * Allow manually debugging xvfb testsuite runner
  * Make up a $HOME directory which the testsuite can use

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Feb 2019 19:07:46 +0100

musescore-snapshot (3.0.2+dfsg1-1) experimental; urgency=medium

  * Fix failing tst_runscripts
  * Allow MuseJazz fonts back in, the source code situation was cleared
  * Backport another FTBFS fix
  * New upstream release
    - update copyright
    - refresh all patches and PRs
  * Fix non-constant format string (-Wformat-security)
  * Slight env cleanup for the tests (tbf within pbuilder)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 06 Feb 2019 21:07:52 +0100

musescore-snapshot (3.0.1+dfsg1-2) experimental; urgency=low

  * Fix XDG_DATA_HOME subpath location in the manpage
  * Merge changes from musescore (2.3.2+dfsg2-3)
  * Update upstream submission status of, and the patches themselves

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 27 Jan 2019 17:06:00 +0100

musescore2 (2.3.2+dfsg3-4) wtf; urgency=low

  * Update UMEGAYA (DEP 12) Changelog link
  * Merge musescore (2.3.2+dfsg2-8) unstable; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 04 Jul 2019 19:37:27 +0200

musescore2 (2.3.2+dfsg3-3) wtf; urgency=high



=== debian/control ===
Source: musescore-snapshot
Section: sound
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://musescore.org/en
Build-Depends: cmake,
               debhelper-compat (= 12),
# for the tests (but useful to ensure installability before building)
#              imagemagick,
               mksh,
               qml-module-qtquick-controls,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-layouts,
               qml-module-qtquick2,
               xauth,
               xvfb,
# to build
               doxygen,
               g++ (>= 4:4.8),
               graphviz,
               libasound2-dev,
               libfreetype6-dev (>= 2.5.2),
               libjack-dev,
               libmp3lame-dev,
               libpoppler-qt5-dev,
               libportmidi-dev [linux-any],
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5xmlpatterns5-dev,
               libsndfile1-dev (>= 1.0.25),
               lsb-release,
               portaudio19-dev,
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.8),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.3.0
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/musescore.git -b m-snapshot
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/musescore.git;a=shortlog;h=refs/heads/m-snapshot

Package: musescore-snapshot-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: musescore-general-soundfont-small | musescore-compatible-soundfont,
 ${misc:Depends}
Description: MuseScore devel (music composition and notation) shared files
 Demonstration scores and templates, styles, localisations, some
 plugins for MuseScore, the Open Source (GNU GPL) cross-platform
 multi-lingual music notation software.
 .
 In contrast to earlier versions, no sound font is provided by
 default, but the Depends ensure a suitable one is installed,
 normally the compact, full orchestral and band sound, one that
 is shipped with MuseScore from version 2.2 onwards, or its more
 limited 2.1 counterpart fluidr3mono-gm-soundfont.
 .
 This package corresponds to a build of a random upstream git
 master snapshot and is NOT a guaranteed usable / stable release!

Package: musescore-snapshot
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: desktop-file-utils,
         libqt5sql5-sqlite,
# dependent on MSCORE_INSTALL_SUFFIX from debian/rules
# and MUSESCORE_VERSION_{MAJOR,MINOR} from CMakeLists.txt
         musescore-snapshot-common (>> 3.2~),
         musescore-snapshot-common (<< 3.3~),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         shared-mime-info,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libmp3lame0, pulseaudio-utils
Description: cross-platform multi-lingual music composition and notation (devel)
 MuseScore is an Open Source (GNU GPL) music notation software that runs
 on all platforms supported by Qt5 (GNU/Linux, MacOS X, Windows), and is
 available in over forty different languages. It features an easy to use
 WYSIWYG editor with audio score playback for results that look and sound
 beautiful, rivaling commercial offerings like Finale and Sibelius.
 .
 Create, play back and print sheet music for free. Features include:
  - easy-to-use and customisable interface
  - optional dark theme (to focus on the score)
  - tours for first-time and returning users
  - albums combining multiple scores
  - unlimited score length
  - unlimited number of staves per system
  - up to four independent voices per staff
  - score creation wizard and templates
  - easy and fast note entry with a (PC) keyboard, the mouse, including
    an on-screen virtual (piano) keyboard, or MIDI (step-time, real-time)
  - timewise input (moving subsequent notes/rests), also for unmetered music
  - half-time and double-time paste commands for copy/paste
  - continuous view: focus on the content, scrolling by as an endless
    ribbon, undistracted by line breaks or page breaks; switch to page
    view to polish up for printing
  - timeline view
  - automatic part extraction (by staves or voices) and transposition
  - advanced transposition: transpose a selected passage to any key,
    or by any interval — or even transpose diatonically within the same key
  - repeats, including segnos, codas, measure repeats, advanced repeats;
    linearisation command to expand repeats
  - dynamics, articulations and other expression markings
  - playback support for almost all notation elements
  - custom text markings
  - style rules that apply to the whole score at once
  - automatic placement system (smart layout), now even more flexible
  - lyrics
  - chord symbols
  - Jazz notation, including lead sheets and slash notation
  - swing and shuffle playback
  - integrated sequencer and two software synthesisers (FluidSynth for
    SF2/SF3, Zerberus for SFZ), which also can use third-party soundfonts
  - single-note dynamics
  - mixer for instrument levels and effects
  - mixing and panning for individual parts
  - percussion notation
  - early music notation
  - cross-staff beaming
  - import of graphics
  - custom key signatures
  - additive time signatures
  - system dividers
  - user-defined score styles
  - cutaway staves
  - pianoroll editor, edit playback parameters of each note individually
  - score comparison tool
  - and much more…
 .
 Choir features:
  - powerful lyrics copy and paste tools
  - implode/explode: combine up to four voices on one staff,
    then separate to individual staves
  - hide empty vocal staves, such as in a piano intro
  - figured bass for historical notation
  - smart lyrics: unlimited verses, with notes and staves automatically
    spaced, and verse numbers automatically aligned
  - voice leading checker: download the Check Harmony Rules proofreading
    plugin to check for errors in your part writing, according to
    standard rules
  - part mixer: mute, solo, or change volume of staves to learn
    individual lines — settings even apply to MP3 export
 .
 Piano features:
  - support for solo + piano (add small staff with different instrument)
  - support for cadenzas (smaller notes and variable length measures)
  - complete notation: pedaling, fingering, cross-staff beaming — you
    name it; everything needed to write piano sheet music is here
 .
 Guitar features:
  - bends, fingerings, and other common guitar notations supported
  - add/remove linked staves any time; enter notes on either standard
    (pitched five-line) or TAB staff
  - percussion/drumset also included
  - templates include guitar, tablature, guitar+tablature, rock/pop band
  - complete tablature: multiple tab styles available — from note symbols
    outside the staff to upside-down strings — and linked standard/tab
    staff pairs
  - Guitar Pro import: MuseScore can now open files from Guitar Pro, so
    you can easily migrate over. Import filters are improving with every
    release; GP3, GP4, GP5, GP6, GTP, GPX are currently supported.
  - Fretboard diagrams: 21 default chords for every key, and a powerful
    editor to create your own — with barre, fret position, and any number
    of strings
  - multiple or differently shaped dots per string; partial and multiple
    barres; ability to not show nut; customisable string/fret distance;
    chord symbols for diagrams and saving those to the palette; etc.
  - beyond guitar: banjo, mandolin, ukulele, oud; custom string tunings;
    even historical lute tablature: MuseScore does them all.
 .
 Orchestral features:
  - templates for common instrumentations
  - custom linked parts (e.g. create choral score from orchestra+chorus):
    any change you make to the content of any part is immediately
    reflected in the full score — and vice versa
  - powerful style controls: edit the formatting of parts and score
    independently — or apply the same style to all parts with one click
  - one-click transposition: instantly switch between transposed and
    concert pitch: sounding pitches stay the same while the written notes
    change
 .
 Jazz features:
  - templates for Jazz Lead Sheet, Big Band and Jazz Combo
  - real “handwritten” Book-style jazz font for text and chord symbols
  - formatting tools include adding line breaks every X measures
  - instantly switch between transposed and concert pitch
  - intelligent chord symbol: chord names are automatically formatted
    when you finish typing — plus, they transpose with the notes
  - easy slashes: commands to fill bars with slashes — and to turn notes
    into rhythmic slashes, and even accent notation above the staff
 .
 Marching ensembles features (needs the MDL extension):
  - marching band, indoor percussion, front ensemble, drumline and drum
    corps (even G bugles); no setup or configuration — select a template,
    start writing
 .
 Band features:
  - diverse templates: concert band, brass band, marching band, battery
    and pit percussion — ready out-of-the-box (plus big band for jazz)
  - custom linked parts: you can even keep a drumline score linked to a
    full marching band score and to individual percussion parts
 .
 Most elements in MuseScore are laid out automatically on a “virtual note
 sheet”, with a near professional-quality layout engine, but can also be
 positioned manually, giving you total control of every score element’s
 position. The capabilities of MuseScore can be extended via plugins and
 extensions, and the growing repository on musescore.org contains many
 plugins submitted by users and an active development team.
 .
 MuseScore includes a set of sounds that reproduce common instruments (as
 defined by General MIDI) without taking up a lot of disk space or memory
 providing full orchestral and band sounds (with the Drumline extension
 installed this includes marching percussion). The general (non-Drumline)
 sound font is available as musescore-general-soundfont Debian package,
 if you wish to reuse it with other synthesisers.) You can also load any
 sound font you prefer for a wider variety of sounds or for more realism.
 .
 MuseScore can import and export MIDI and MusicXML files, and it can also
 import from Capella and several other programs. MuseScore can export to
 PDF, PNG, and other graphic formats, to WAV and other audio formats such
 as OGG Vorbis and MP3, or to GNU Lilypond for an alternative layout and
 print option.
 .
 MuseScore can upload scores to musescore.com, a score sharing site, and
 send scrolling sheet music videos to YouTube. In addition to the desktop
 software, you can rehearse “on the go” with MuseScore mobile apps (which
 do not support note entry, but many advanced playback functions). Note
 that all of these are commercial or otherwise non-free offers optionally
 integrated with, but not part of, the Free notation program. Scrolling
 video scores feature the notes highlighted in the score as they sound —
 and highlighted on a virtual piano keyboard below.
 .
 This package corresponds to a build of a random upstream git
 master snapshot and is NOT a guaranteed usable / stable release!

=== debian/watch ===
# debian/watch - check for a new upstream release and fetch it. See USCAN(1).
# The script 'debian/repack' is called to perform changes for DFSG compliance.
version=4
opts=\
uversionmangle=s/%25/~/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
compression=gz,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/MuseScore-$1\.tar\.gz/ \
  https://github.com/mirabilos/MuseScore/tags .*/v?([0-9](?:[0-9.]*(?:%25pre|\.s)?[0-9]+)?)\.tar\.gz \
debian debian/repack
